classification
Title: idlelib/NEWS.txt for 3.10.0 and backports
Type: Stage: patch review
Components: IDLE Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: terry.reedy
Priority: normal Keywords: patch

Created on 2020-09-23 12:31 by terry.reedy, last changed 2021-02-24 02:34 by terry.reedy.

Pull Requests
URL Status Linked Edit
PR 22379 merged terry.reedy, 2020-09-23 12:47
PR 22380 merged terry.reedy, 2020-09-23 13:28
PR 22381 merged terry.reedy, 2020-09-23 13:41
PR 24343 merged terry.reedy, 2021-01-26 17:58
PR 24344 merged terry.reedy, 2021-01-26 18:07
PR 24633 merged terry.reedy, 2021-02-24 02:01
PR 24634 merged terry.reedy, 2021-02-24 02:09
PR 24635 merged terry.reedy, 2021-02-24 02:13
Messages (10)
msg377375 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-23 12:31
Master became 3.10 as of 3.9.0 beta 1: Monday, 2020-05-18.
However, backported IDLE issues continued going under What's New 3.9
on both master and 3.9 until 3.9.0rc1, Tuesday, 2020-08-11.
Subsequent merges go under
What's New 3.10.0 on master
What's New 3.9.1 on 3.9

In other words, News is handled as if master were still branched off as of .0rc1.  This is different from the changelog attached to What's New in 3.x.

Release peps -- needed for proposed and actual release dates.
3.8 PEP 569 https://www.python.org/dev/peps/pep-0569/
3.9 PEP 596 https://www.python.org/dev/peps/pep-0596/
3.10 PEP 619 https://www.python.org/dev/peps/pep-0619/
msg377385 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-23 13:44
New changeset 7af072c3b60dd3aac2835122bc37454f0973351e by Terry Jan Reedy in branch 'master':
bpo-41841: Prepare IDLE News for 3.10 (GH-22379)
https://github.com/python/cpython/commit/7af072c3b60dd3aac2835122bc37454f0973351e
msg377386 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-23 14:07
New changeset d7a4e5d330df49774019e25313e0c1c4e9bf505d by Terry Jan Reedy in branch '3.9':
[3.9] bpo-41841: Prepare IDLE News for 3.9 (GH-22380)
https://github.com/python/cpython/commit/d7a4e5d330df49774019e25313e0c1c4e9bf505d
msg377391 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-23 14:35
New changeset 0a2e11aecfb300615ab813f5d2d77a799f6e852c by Terry Jan Reedy in branch '3.8':
[3.8] bpo-41841: Prepare IDLE News for 3.8.7 (GH-22381)
https://github.com/python/cpython/commit/0a2e11aecfb300615ab813f5d2d77a799f6e852c
msg385730 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-01-26 18:59
New changeset fd668bc62b7f6de95448344b6650e1c3c2a997fa by Terry Jan Reedy in branch '3.9':
[3.9] bpo-41841: Prepare IDLE NEWS for 3.9.2 (#GH-4343)
https://github.com/python/cpython/commit/fd668bc62b7f6de95448344b6650e1c3c2a997fa
msg385731 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-01-26 18:59
New changeset a178473dd6a3b527a67ab3f9dc38ef8b1a60881a by Terry Jan Reedy in branch '3.8':
[3.8] bpo-41841: Prepare IDLE NEWS for 3.8.8 (GH-24344)
https://github.com/python/cpython/commit/a178473dd6a3b527a67ab3f9dc38ef8b1a60881a
msg387599 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-02-24 02:15
Everything before x.y.0 is in one section. Multiple sections thereafter are a nuisance.  Idea: Put everything thereafter in one also.  So file is set once header revised after 3.x.0 is released.

 Thought of 'x.y.z: date' separator, with one line above and below, but not many users update each bugfix or so and we would be back to same problem.
msg387600 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-02-24 02:24
New changeset b9fe16a02717e89a2141311de1e36161af4de9a9 by Terry Jan Reedy in branch 'master':
bpo-41841: Revise header (GH-24633)
https://github.com/python/cpython/commit/b9fe16a02717e89a2141311de1e36161af4de9a9
msg387603 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-02-24 02:32
New changeset d81a20454eae1868059e45d54e0270e3b4d2e409 by Terry Jan Reedy in branch '3.9':
[3.9] bpo-41841: revise header (GH-24634)
https://github.com/python/cpython/commit/d81a20454eae1868059e45d54e0270e3b4d2e409
msg387604 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-02-24 02:34
New changeset 653e17b2cb35e6cd48e2bdca0c1b27b38bed7170 by Terry Jan Reedy in branch '3.8':
[3.8] bpo-41841: prepare for 3.8.9 (GH-24635)
https://github.com/python/cpython/commit/653e17b2cb35e6cd48e2bdca0c1b27b38bed7170
History
Date User Action Args
2021-02-24 02:34:31terry.reedysetmessages: + msg387604
2021-02-24 02:32:27terry.reedysetmessages: + msg387603
2021-02-24 02:24:40terry.reedysetmessages: + msg387600
2021-02-24 02:15:13terry.reedysetmessages: + msg387599
2021-02-24 02:13:08terry.reedysetpull_requests: + pull_request23419
2021-02-24 02:09:08terry.reedysetpull_requests: + pull_request23418
2021-02-24 02:01:19terry.reedysetpull_requests: + pull_request23417
2021-01-26 18:59:50terry.reedysetmessages: + msg385731
2021-01-26 18:59:27terry.reedysetmessages: + msg385730
2021-01-26 18:07:10terry.reedysetpull_requests: + pull_request23163
2021-01-26 17:58:49terry.reedysetpull_requests: + pull_request23162
2020-09-23 14:35:05terry.reedysetmessages: + msg377391
2020-09-23 14:07:26terry.reedysetmessages: + msg377386
2020-09-23 13:44:35terry.reedysetmessages: + msg377385
2020-09-23 13:41:04terry.reedysetpull_requests: + pull_request21420
2020-09-23 13:28:28terry.reedysetpull_requests: + pull_request21419
2020-09-23 12:47:28terry.reedysetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request21418
2020-09-23 12:40:42terry.reedylinkissue37309 superseder
2020-09-23 12:31:32terry.reedycreate